# Class Constants

java.lang.Object
org.apache.tomcat.util.net.Constants

public class Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CATALINA_BASE_PROP`
Name of the system property containing the tomcat instance installation path
`static final String`
`SSL_PROTO_ALL`
JSSE and OpenSSL protocol names
`static final String`
`SSL_PROTO_SSLv2`
`static final String`
`SSL_PROTO_SSLv2Hello`
`static final String`
`SSL_PROTO_SSLv3`
`static final String`
`SSL_PROTO_TLS`
`static final String`
`SSL_PROTO_TLSv1`
`static final String`
`SSL_PROTO_TLSv1_0`
`static final String`
`SSL_PROTO_TLSv1_1`
`static final String`
`SSL_PROTO_TLSv1_2`
`static final String`
`SSL_PROTO_TLSv1_3`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CATALINA_BASE_PROP

public static final String CATALINA_BASE_PROP
Name of the system property containing the tomcat instance installation path

See Also:
  - Constant Field Values

### SSL_PROTO_ALL

public static final String SSL_PROTO_ALL
JSSE and OpenSSL protocol names

See Also:
  - Constant Field Values

### SSL_PROTO_TLS

public static final String SSL_PROTO_TLS

See Also:
  - Constant Field Values

### SSL_PROTO_TLSv1_3

public static final String SSL_PROTO_TLSv1_3

See Also:
  - Constant Field Values

### SSL_PROTO_TLSv1_2

public static final String SSL_PROTO_TLSv1_2

See Also:
  - Constant Field Values

### SSL_PROTO_TLSv1_1

public static final String SSL_PROTO_TLSv1_1

See Also:
  - Constant Field Values

### SSL_PROTO_TLSv1_0

public static final String SSL_PROTO_TLSv1_0

See Also:
  - Constant Field Values

### SSL_PROTO_TLSv1

public static final String SSL_PROTO_TLSv1

See Also:
  - Constant Field Values

### SSL_PROTO_SSLv3

public static final String SSL_PROTO_SSLv3

See Also:
  - Constant Field Values

### SSL_PROTO_SSLv2

public static final String SSL_PROTO_SSLv2

See Also:
  - Constant Field Values

### SSL_PROTO_SSLv2Hello

public static final String SSL_PROTO_SSLv2Hello

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()